package com.iformall;

import com.ulisesbocchio.jasyptspringboot.annotation.EnableEncryptableProperties;
import org.mybatis.spring.annotation.MapperScan;
import org.rocketmq.starter.annotation.EnableRocketMQ;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableAsync;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author chenkx
 * @date   2017-12-26
 */
@SpringBootApplication
@MapperScan(basePackages = {"com.iformall.mapper"})
@EnableSwagger2
@EnableEncryptableProperties
@EnableAsync
@EnableRocketMQ
public class CallbackApplication {

    @Value("${fm.exception}")
    private boolean fmException;

    @Value("${fm.exception_emails}")
    private String fmExceptionEmails;

    @Value("${fm.open}")
    private boolean fmOpen;

    @Value("${fm.upload_dir}")
    private String uploadDir;

    @Bean
    public boolean isFmException() {
        return fmException;
    }

    @Bean
    public String fmExceptionEmails() {
        return fmExceptionEmails;
    }

    @Bean
    public boolean isFmOpen() {
        return fmOpen;
    }

    @Bean
    public String fmUploadDir() {
        return uploadDir;
    }

	public static void main(String[] args) {
		SpringApplication.run(CallbackApplication.class, args);
	}
}
